﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Nextropia.C2Manager.C2API
{
    /// <summary>
    /// occurs when an attempt is made to call the C2 API but the C2Service object is not connected
    /// </summary>
    public class NotConnectedException : Exception
    {
        /// <summary>
        /// default constructor
        /// </summary>
        public NotConnectedException()
            : base("The API is not connected. You must call the Connect() method before attempting any operations")
        { }
    }
}
